import { WireMockFault } from './externalTypes';
export interface IMockedRequestResponse {
    id: string;
    newScenarioState?: string;
    priority?: number;
    request: IRequestMock;
    requiredScenarioState?: string;
    response: IResponseMock;
    scenarioName?: string;
    uuid: number;
}
export interface IMockType {
    request: IRequestMock;
    response: IResponseMock;
    priority?: number;
    scenarioName?: string;
    requiredScenarioState?: string;
    newScenarioState?: string;
    postServeActions?: [IWebhook];
}
export interface IMappingGetResponse {
    mappings: Array<unknown>;
}
export interface IRequestGetResponse {
    requests: Array<unknown>;
}
export interface IRequestMock {
    method: Method;
    [key: string]: unknown;
}
export declare type IResponseMock = {
    status: number;
    headers?: Record<string, KeyValue>;
    fixedDelayMilliseconds?: number;
    delayDistribution?: Record<string, number | string>;
    chunkedDribbleDelay?: Record<string, number>;
    [key: string]: unknown;
} | {
    fault: WireMockFault;
};
export interface IScenarioGetResponse {
    scenarios: Array<unknown>;
}
export interface IWebhook {
    name: 'webhook';
    parameters: {
        method: Method;
        url: string;
        headers?: Record<string, KeyValue>;
        body?: string;
        delay?: Record<string, number | string>;
    };
}
export declare type KeyValue = boolean | number | string;
export declare type Method = 'ANY' | 'CONNECT' | 'DELETE' | 'GET' | 'HEAD' | 'OPTIONS' | 'PATCH' | 'POST' | 'PUT' | 'TRACE';
export declare type WebhookBody = {
    type: 'JSON';
    data: Record<string, unknown>;
} | {
    type: 'String';
    data: string;
};
//# sourceMappingURL=internalTypes.d.ts.map